let message = ""
let title = ""
let sitePath = {}

export const StatusProvider = ({ children }) => {
  return <div data-testid="mocked-statusprovider">{children}</div>;
};

export const useStatusContext = () => ({
  message,
  title,
  sitePath,
  setMessage: jest.fn(m => message = m),
  setTitle: jest.fn(t => title = t),
  setSitePath: jest.fn(s => sitePath = s),
});
